## org.apache.poi.xslf.usermodel
Enum ListAutoNumber

    java.lang.Object
      java.lang.Enum<ListAutoNumber>
          org.apache.poi.xslf.usermodel.ListAutoNumber

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ListAutoNumber>

    public enum ListAutoNumber

extends java.lang.Enum<ListAutoNumber>

Specifies type of automatic numbered bullet points that should be applied to a paragraph.

Author:
  Yegor Kozlov

Enum Constant Summary
`ALPHA_LC_PARENT_BOTH` (a), (b), (c), ...
`ALPHA_LC_PARENT_R` a), b), c), ...
`ALPHA_LC_PERIOD` a., b., c., ...
`ALPHA_UC_PARENT_BOTH` (A), (B), (C), ...
`ALPHA_UC_PARENT_R` A), B), C), ...
`ALPHA_UC_PERIOD` A., B., C., ...
`ARABIC_PARENT_BOTH` (1), (2), (3), ...
`ARABIC_PARENT_R` 1), 2), 3), ...
`ARABIC_PERIOD` 1., 2., 3., ...
`ARABIC_PLAIN` 1, 2, 3, ...
`CIRCLE_NUM_DB_PLAIN` Dbl-byte circle numbers
`CIRCLE_NUM_WD_BLACK_PLAIN` Wingdings black circle numbers
`CIRCLE_NUM_WD_WHITE_PLAIN` Wingdings white circle numbers
`ROMAN_LC_PARENT_BOTH` (i), (ii), (iii), ...
`ROMAN_LC_PARENT_R` i), ii), iii), ...
`ROMAN_LC_PERIOD` i., ii., iii., ...
`ROMAN_UC_PARENT_BOTH` (I), (II), (III), ...
`ROMAN_UC_PARENT_R` I), II), III), ...
`ROMAN_UC_PERIOD` I., II., III., ...

Method Summary
`static ListAutoNumber` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ListAutoNumber[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALPHA_LC_PARENT_BOTH

    public static final ListAutoNumber ALPHA_LC_PARENT_BOTH

  (a), (b), (c), ...

### ALPHA_UC_PARENT_BOTH

    public static final ListAutoNumber ALPHA_UC_PARENT_BOTH

  (A), (B), (C), ...

### ALPHA_LC_PARENT_R

    public static final ListAutoNumber ALPHA_LC_PARENT_R

  a), b), c), ...

### ALPHA_UC_PARENT_R

    public static final ListAutoNumber ALPHA_UC_PARENT_R

  A), B), C), ...

### ALPHA_LC_PERIOD

    public static final ListAutoNumber ALPHA_LC_PERIOD

  a., b., c., ...

### ALPHA_UC_PERIOD

    public static final ListAutoNumber ALPHA_UC_PERIOD

  A., B., C., ...

### ARABIC_PARENT_BOTH

    public static final ListAutoNumber ARABIC_PARENT_BOTH

  (1), (2), (3), ...

### ARABIC_PARENT_R

    public static final ListAutoNumber ARABIC_PARENT_R

  1), 2), 3), ...

### ARABIC_PERIOD

    public static final ListAutoNumber ARABIC_PERIOD

  1., 2., 3., ...

### ARABIC_PLAIN

    public static final ListAutoNumber ARABIC_PLAIN

  1, 2, 3, ...

### ROMAN_LC_PARENT_BOTH

    public static final ListAutoNumber ROMAN_LC_PARENT_BOTH

  (i), (ii), (iii), ...

### ROMAN_UC_PARENT_BOTH

    public static final ListAutoNumber ROMAN_UC_PARENT_BOTH

  (I), (II), (III), ...

### ROMAN_LC_PARENT_R

    public static final ListAutoNumber ROMAN_LC_PARENT_R

  i), ii), iii), ...

### ROMAN_UC_PARENT_R

    public static final ListAutoNumber ROMAN_UC_PARENT_R

  I), II), III), ...

### ROMAN_LC_PERIOD

    public static final ListAutoNumber ROMAN_LC_PERIOD

  i., ii., iii., ...

### ROMAN_UC_PERIOD

    public static final ListAutoNumber ROMAN_UC_PERIOD

  I., II., III., ...

### CIRCLE_NUM_DB_PLAIN

    public static final ListAutoNumber CIRCLE_NUM_DB_PLAIN

  Dbl-byte circle numbers

### CIRCLE_NUM_WD_BLACK_PLAIN

    public static final ListAutoNumber CIRCLE_NUM_WD_BLACK_PLAIN

  Wingdings black circle numbers

### CIRCLE_NUM_WD_WHITE_PLAIN

    public static final ListAutoNumber CIRCLE_NUM_WD_WHITE_PLAIN

  Wingdings white circle numbers

Method Detail

### values

    public static ListAutoNumber[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ListAutoNumber c : ListAutoNumber.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ListAutoNumber valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.